clear
load iAF1260.mat

model = iAF1260;             %Setup model to EC_iAF1260
model.description = 'Ec1260';

biomassRxn = 'Ec_biomass_iAF1260_core_59p81M' ;
targetRxn  = 'delftibactin' ;

% set glucose uptake according to Varma1994
model = changeRxnBounds(model,'EX_glc(e)',-10.5,'l');
% set ATP maintenance cost according to Varma1994
model = changeRxnBounds(model,'ATPM',7.6,'b');
model = changeRxnBounds(model,'EX_o2(e)',-15,'l');


% add methyl-malonyl CoA pathway
model = addReaction(model,'pccB','1 ppcoa[c] + 1 atp[c] + 1 hco3[c] -> 1 mmcoa-S[c] + 1 pi[c] + 1 adp[c] + 1 h[c]');

% add delftibactin reaction pathway
model = addReaction(model, 'delftibactin', '1 ala-L[c] + 2 ser-L[c] + 1 asp-L[c] + 2 thr-L[c] + 1 gly[c] + 2 orn[c] + 1 arg-L[c] + 10 atp[c] + 1 akg[c] + 2 o2[c] + 1 10fthf[c] + 1 nadph[c] + 1 h[c] + 1 mmcoa-S[c] -> 10 amp[c] + 20 pi[c] + 1 co2[c] + 1 succ[c] + 1 thf[c] + 1 nadp[c] + 1 h2o[c] + 1 coa[c] + 1 co2[c]');

%[controlFlux, objFlux] = robustnessAnalysis(model, biomassRxn, 100, true, targetRxn);

%model2 = changeObjective(model,targetRxn);
%tst = optimizeCbModel(model2);

% do robustness analysis kinda
%N=10;
%oxygenUptake = nan(N,2);
%delftibactinProduction = nan(N,1);
%[rangeLower, rangeUpper] = fluxVariability(model2,0,[],{biomassRxn});
%biomassRates = linspace(rangeLower, rangeUpper, N)';
%for i=1:numel(biomassRates)%
%	tmpModel = changeRxnBounds(model2,biomassRxn,biomassRates(i),'b');
%	tmp = optimizeCbModel(tmpModel,[]);
	%oxygenUptake	(i) = tmp.x(findRxnIDs(model2, 'EX_o2(e)'));
%	[tmpMin,tmpMax]= fluxVariability(tmpModel,100,[],{'EX_o2(e)'});
%	oxygenUptake(i,:) = [tmpMin,tmpMax];
%	delftibactinProduction(i) = tmp.f;
%end
%summaryTable = [biomassRates,oxygenUptake,delftibactinProduction];
% end robstness analysis if the shit would work
